c ===============================
	subroutine risi

	include 'fgl.h'
	include 'fglut.h'	

        call fglClear(GL_COLOR_BUFFER_BIT)

	call fglBegin(GL_QUADS)
          call fglVertex3f( 0.5, 0.5, 0.0)
          call fglVertex3f(-0.5, 0.5, 0.0)
          call fglVertex3f(-0.5,-0.5, 0.0)
          call fglVertex3f( 0.5,-0.5, 0.0)
        call fglEnd

        call fglFlush
	return
	end
c ===============================
	program glavni

	implicit none

	external risi
	include 'fglut.h'	
        integer moje_okno

	call fglutInit
        call fglutInitWindowSize(500, 500)
        call fglutInitDisplayMode(GLUT_SINGLE)
        moje_okno = fglutCreateWindow('risi_kvadrat_rotiran')

	call fglutDisplayFunc(risi)
	call fglutMainLoop

	stop
	end	


		
